function [sn, Nk] = norm_hubness_cf(D, maxK)
% Computes the hubness of a collaborative filtering distance matrix using a
% maximum of K nearest neighbors
%
% (c) 2013, Dominik Schnitzer

    Nk = zeros(size(D, 1), 1);
    for i = 1:size(D, 1)
        d = D(:, i);
        d(i) = NaN;
        [~, idx] = sort(d);
        idxK = idx(1:maxK); 
        Nk(idxK) = Nk(idxK) + ~isnan(d(idxK));
    end

    sn = skewness(Nk);
end
