function [D, header] = read_simmat(file)
    fid = fopen(file, 'r');

    % skip header
    header = [];
    header{1} = fgetl(fid);
    header{2} = fgetl(fid);
    header{3} = fgetl(fid);
    
    % read matrix size
    sz = fscanf(fid, '%d', 1);
    maxlines = 100000000;
    D = NaN(sz, 'single');
    readmore = 1;
    while (readmore == 1)
        Dsp = fscanf(fid, '%f %f %f', [3 maxlines]);
        fprintf('Read %d lines\n', size(Dsp, 2));

        for i = 1:size(Dsp, 2)
            D(Dsp(1, i)+1, Dsp(2, i)+1) = Dsp(3, i);
            D(Dsp(2, i)+1, Dsp(1, i)+1) = Dsp(3, i);
        end

        if (size(Dsp, 2) < maxlines)
            readmore = 0;
        end
    end
    
    fclose(fid);
end
