function [D, header] = write_simmat(file, D, header)
    fid = fopen(file, 'w');

    % write header
    fprintf(fid, '%s\n', header{1});
    fprintf(fid, '%s\n', header{2});
    fprintf(fid, '%s\n', header{3});
    
    % read matrix size
    fprintf(fid, '%d\n', size(D, 1));
    n = size(D, 1);
    for i = 1 : n
        j_idx = i+1:n;
        j_idx = j_idx(isnan(D(i, j_idx)) == 0);
        j_len = length(j_idx);
        i_idx = repmat(i, 1, j_len);
        if (j_len > 0)
            fprintf(fid, '%d %d %g\n', [i_idx-1; j_idx-1; D(i, j_idx)]);
        end
    end
    
    fclose(fid);
end
